Package org.apache.tapestry5

# Class CSSClassConstants

java.lang.Object
org.apache.tapestry5.CSSClassConstants

public class CSSClassConstants extends Object
Deprecated.
Deprecated in 5.4 with no replacement.
Constants used when rendering a CSS class attribute.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ERROR`
  Deprecated.
  Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
  `static final String`
  `ERROR_SINGLE`
  Deprecated.
  Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
  `static final String`
  `INVISIBLE`
  Deprecated.
  Removed in Tapestry 5.4 with no replacement.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSSClassConstants()`
  Deprecated.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INVISIBLE

    public static final String INVISIBLE
    Deprecated.
    Removed in Tapestry 5.4 with no replacement.
    CSS class name that causes a rendered element to be invisible on the client side.
    See Also:
      - Constant Field Values

  - ### ERROR

    public static final String ERROR
    Deprecated.
    Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
    All purpose CSS class name for anything related to Tapestry errors.
    See Also:
      - Constant Field Values

  - ### ERROR_SINGLE

    public static final String ERROR_SINGLE
    Deprecated.
    Deprecated in 5.4 with no replacement; decoration of fields with validation errors has moved to the client.
    CSS class name for individual validation errors.
    Since:
      5.2.0
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CSSClassConstants

    public CSSClassConstants()
    Deprecated.